from gpiozero import LED
import time

# LEDs werden an ihren entsprechenden GPIO-Pins initialisiert
led_rot = LED(24)
led_gruen = LED(23)

print("LED-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Hauptprogrammschleife
try:
    while True:
        print("LED ROT 3 Sekunden an")
        led_rot.on()
        led_gruen.off()
        time.sleep(3)  # Wartemodus für 3 Sekunden

        print("LED GRUEN 3 Sekunden an")
        led_rot.off()
        led_gruen.on()
        time.sleep(3)  # Wartemodus für weitere 3 Sekunden

# Aufraeumarbeiten nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm wurde durch den Benutzer beendet")